<?
// ###################################################################################
//
//   mysql_function.php
//
//   Copyright (c) 2000-2005 InterBank(ANGELPAY) Co. LTD.
//   All rights reserved.
//  ------------------------------------------------------------------------------
//   최종 수정일 : 2002.08.29
//
// ###################################################################################
//
//                             MySQL관련 함수 모음
//
// ###################################################################################


// DB에 연결한다.
function FncOpenDatabase ()
{
	include "./config.php";
		
	$cfgSQLDataBase  = $DBNAME;
	$cfgSQLDataSource= $DBHOST;
	$cfgSQLUsername  = $DBUSER;
	$cfgSQLPasswd    = $DBPASS;

	$nConnID = @MySQL_connect( $cfgSQLDataSource, $cfgSQLUsername, $cfgSQLPasswd);

	if($nConnID == 0)
	{	
		TraceLog ("MySQL", "connect", "[ERROR] Connection to SQL-Server failed.\n".mysql_error() );
		echo "DB접속에 필요한 계정이 틀립니다.<br>\n";
		echo "config.php파일에서 DB연결 계정정보를 확인하시기 바랍니다.<br>";
		echo "에러원문은 다음과 같습니다.<br><br>\n".mysql_error();
		exit;
	}

	$bCheck = @mysql_select_db($cfgSQLDataBase, $nConnID);

	if($bCheck == 0)
	{	
		TraceLog ("MySQL", "select_db", "[ERROR] Connection to database failed.\n".mysql_error() );
		echo "지정한 DB이름이 틀립니다.<br>\n";
		echo "config.php파일에서 DB연결 계정정보를 확인하시기 바랍니다.<br>";
		echo "에러원문은 다음과 같습니다.<br><br>\n".mysql_error();
		exit;
	}

	return $nConnID;
};



// 쿼리 문장을 실행한다.
function FncQuery ( $svSQL )
{
	$connectionID = FncOpenDatabase ();
	$result = @mysql_query( $svSQL,$connectionID );

	if ($result)
	{	
		return $result;
	}
	else
	{	
		return false;
	}
};



// 쿼리 문장을 실행하고, 결과를 리턴한다.
function FncResultQuery ( $svSQL )
{
	$connectionID = FncOpenDatabase ();
	$result = @mysql_query( $svSQL,$connectionID );
	$saResult = @mysql_fetch_array($result);

	if ($saResult)
	{	
		return $saResult;
	}
	else
	{	
		return false;
	}
};



// 쿼리 문장을 실행한다.
function FncExecQuery ( $svSQL )
{
	$connectionID = FncOpenDatabase ();
	$result = @mysql_query( $svSQL,$connectionID );

	if ($result)
	{	
		return true;
	}
	else
	{	
		return false;
	}
};

?>